// Delete.h: interface for the CDelete class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DELETE_H__7D50B654_DEDD_412D_B807_3CFD1C9EA36E__INCLUDED_)
#define AFX_DELETE_H__7D50B654_DEDD_412D_B807_3CFD1C9EA36E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PatchOperation.h"

class CDelete : public CPatchOperation  
{
public:
	CDelete(DWORD loc,DWORD sze) {Location=loc; Size=sze;}
	CString GetOpText() {CString str; str.Format("Delete %7i Bytes at %7i\n",Size,Location); return str;}
	DWORD InsertedBytes() {return 0;}
	DWORD DeletedBytes() {return Size;} 

	virtual ~CDelete();


};

#endif // !defined(AFX_DELETE_H__7D50B654_DEDD_412D_B807_3CFD1C9EA36E__INCLUDED_)
